@import "@/styles/variables";

.frame {
    display: flex;

    .logo-frame {
        width: 3rem;
        height: 3rem;
        position: relative;

        @include tablet {
            width: 4rem;
            height: 4rem;
        }

        @include smallscreen {
            width: 6rem;
            height: 6rem;
        }

        img {
            object-fit: contain;
        }

        &_footer {
            width: 6rem;
            height: 6rem;
        }
    }
}

.text {
    @include json-newline;

    font-family: $logo-text;
    font-size: 9px;
    line-height: 10px;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-shadow: $shadow-light;
    padding: 0.2rem 0 0 0.5rem;

    @include smallscreen {
        text-shadow: none;
        font-size: 14px;
        line-height: 17px;
    }

    &-footer {
        font-size: 14px;
        line-height: 17px;
        letter-spacing: 2px;
        text-shadow: none;
    }

    .link {
        color: $black;
        text-decoration: none;
    }
}
